cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

easytravel startup: openssl issue

Hello,

We encounter below openssl error during the startup of easy travel.

1)It is installed on a 32-bit laptop. Setup file: dynatrace-easytravel-2.0.0.2173-x86

2)If i open the file \easytravel\openssl\readme

--> PreCompiled binaries for win64, supported OS; windows xp x64 up to windows 10 x64

i should expect a 32-bit version?

3) if i run openssl manually

\easytravel\openssl --> Run : The version of this file is not compatibel with the version of windows you're running. Check your computer's system information to see whether you need an x86 or x64 version.

Thx for the help

----------------------------------------------------

Startup easytravel configuration:

2016-05-08 13:44:03 Launche INFO [Init] Version: 2.0.0.2173
2016-05-08 13:44:03 Launche INFO [Init] Build Date: null
2016-05-08 13:44:03 Launche INFO [Init] Platform: Windows 7 6.1, x86
2016-05-08 13:44:03 Launche SEVERE [CertificateGenerator] Couldn't execute comm
and.: com.dynatrace.easytravel.launcher.httpd.CertificateGenerator executeComman
d
java.io.IOException: Cannot run program "C:\Program Files\dynaTrace\easyTravel\o
penssl\openssl.exe": CreateProcess error=216, This version of %1 is not compatib
le with the version of Windows you're running. Check your computer's system info
rmation to see whether you need a x86 (32-bit) or x64 (64-bit) version of the pr
ogram, and then contact the software publisher
at java.lang.ProcessBuilder.start(ProcessBuilder.java:1041)
at com.dynatrace.easytravel.launcher.httpd.CertificateGenerator.executeC
ommand(CertificateGenerator.java:105)
at com.dynatrace.easytravel.launcher.httpd.CertificateGenerator.generate
Certificate(CertificateGenerator.java:52)
at com.dynatrace.easytravel.launcher.Launcher.run(Launcher.java:186)
at com.dynatrace.easytravel.launcher.Launcher.main(Launcher.java:163)
Caused by: java.io.IOException: CreateProcess error=216, This version of %1 is n
ot compatible with the version of Windows you're running. Check your computer's
system information to see whether you need a x86 (32-bit) or x64 (64-bit) versio
n of the program, and then contact the software publisher
at java.lang.ProcessImpl.create(Native Method)
at java.lang.ProcessImpl.<init>(ProcessImpl.java:385)
at java.lang.ProcessImpl.start(ProcessImpl.java:136)
at java.lang.ProcessBuilder.start(ProcessBuilder.java:1022)
... 4 more

1 REPLY 1


It looks like you have the right version of EasyTravel but it somehow came with the wrong version of OpenSSL. You can try downloading a 32 bit version here. If that doesn't work I'd post a comment on the EasyTravel download page here.